Subject: Re: determine a linux kernel version of a patch file

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 May 2015 13:16:39 -0700

Johannes Schindelin <[email-masked]> writes:

> By default, `git diff` works on the index, unless you force it to
> compare revisions or the working directory to a revision. I guess that
> is where the wording comes from.
>
> In any case, it is too late to change it now...

Those who are interested in the full answer can look at this thread.

  http://thread.gmane.org/gmane.comp.version-control.git/9694/focus=9795

;-)